Add etherwake* and luci-app-wol to package feed
authorRISCi_ATOM <bob@bobcall.me>
Wed, 12 Feb 2020 16:42:24 +0000 (11:42 -0500)
committerRISCi_ATOM <bob@bobcall.me>
Wed, 12 Feb 2020 16:42:24 +0000 (11:42 -0500)
38 files changed:
luci/luci-app-wol/Makefile [new file with mode: 0644]
luci/luci-app-wol/luasrc/controller/wol.lua [new file with mode: 0644]
luci/luci-app-wol/luasrc/model/cbi/wol.lua [new file with mode: 0644]
luci/luci-app-wol/po/ca/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/cs/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/de/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/el/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/en/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/es/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/fr/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/he/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/hu/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/it/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/ja/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/ms/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/no/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/pl/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/pt-br/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/pt/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/ro/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/ru/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/sk/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/sv/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/templates/wol.pot [new file with mode: 0644]
luci/luci-app-wol/po/tr/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/uk/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/vi/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/zh-cn/wol.po [new file with mode: 0644]
luci/luci-app-wol/po/zh-tw/wol.po [new file with mode: 0644]
net/etherwake-nfqueue/Makefile [new file with mode: 0644]
net/etherwake-nfqueue/README.md [new file with mode: 0644]
net/etherwake-nfqueue/files/etherwake-nfqueue.config [new file with mode: 0644]
net/etherwake-nfqueue/files/etherwake-nfqueue.init [new file with mode: 0644]
net/etherwake/Makefile [new file with mode: 0644]
net/etherwake/files/etherwake.config [new file with mode: 0644]
net/etherwake/files/etherwake.init [new file with mode: 0644]
net/etherwake/patches/110-format_security_fix.patch [new file with mode: 0644]
net/etherwake/patches/120-musl-compat.patch [new file with mode: 0644]

diff --git a/luci/luci-app-wol/Makefile b/luci/luci-app-wol/Makefile
new file mode 100644 (file)
index 0000000..c1ea8bd
--- /dev/null
@@ -0,0 +1,14 @@
+#
+# Copyright (C) 2008-2014 The LuCI Team <luci@lists.subsignal.org>
+#
+# This is free software, licensed under the Apache License, Version 2.0 .
+#
+
+include $(TOPDIR)/rules.mk
+
+LUCI_TITLE:=LuCI Support for Wake-on-LAN
+LUCI_DEPENDS:=+etherwake
+
+include $(TOPDIR)/package/luci/luci.mk
+
+# call BuildPackage - OpenWrt buildroot signature
diff --git a/luci/luci-app-wol/luasrc/controller/wol.lua b/luci/luci-app-wol/luasrc/controller/wol.lua
new file mode 100644 (file)
index 0000000..43ab84a
--- /dev/null
@@ -0,0 +1,6 @@
+module("luci.controller.wol", package.seeall)
+
+function index()
+       entry({"admin", "services", "wol"}, form("wol"), _("Wake on LAN"), 90)
+       entry({"mini", "services", "wol"}, form("wol"), _("Wake on LAN"), 90)
+end
diff --git a/luci/luci-app-wol/luasrc/model/cbi/wol.lua b/luci/luci-app-wol/luasrc/model/cbi/wol.lua
new file mode 100644 (file)
index 0000000..43b87dd
--- /dev/null
@@ -0,0 +1,106 @@
+-- Copyright 2010 Jo-Philipp Wich <jow@openwrt.org>
+-- Licensed to the public under the Apache License 2.0.
+
+local utl = require "luci.util"
+local sys = require "luci.sys"
+local ipc = require "luci.ip"
+local fs  = require "nixio.fs"
+
+m = SimpleForm("wol", translate("Wake on LAN"),
+       translate("Wake on LAN is a mechanism to remotely boot computers in the local network."))
+
+m.submit = translate("Wake up host")
+m.reset  = false
+
+
+local has_ewk = fs.access("/usr/bin/etherwake")
+local has_wol = fs.access("/usr/bin/wol")
+
+
+s = m:section(SimpleSection)
+
+if has_ewk and has_wol then
+       bin = s:option(ListValue, "binary", translate("WoL program"),
+               translate("Sometimes only one of the two tools works. If one fails, try the other one"))
+
+       bin:value("/usr/bin/etherwake", "Etherwake")
+       bin:value("/usr/bin/wol", "WoL")
+end
+
+if has_ewk then
+       iface = s:option(ListValue, "iface", translate("Network interface to use"),
+               translate("Specifies the interface the WoL packet is sent on"))
+
+       if has_wol then
+               iface:depends("binary", "/usr/bin/etherwake")
+       end
+
+       iface:value("", translate("Broadcast on all interfaces"))
+
+       for _, e in ipairs(sys.net.devices()) do
+               if e ~= "lo" then iface:value(e) end
+       end
+end
+
+
+host = s:option(Value, "mac", translate("Host to wake up"),
+       translate("Choose the host to wake up or enter a custom MAC address to use"))
+
+sys.net.mac_hints(function(mac, name)
+       host:value(mac, "%s (%s)" %{ mac, name })
+end)
+
+if has_ewk then
+       broadcast = s:option(Flag, "broadcast",
+               translate("Send to broadcast address"))
+       if has_wol then
+               broadcast:depends("binary", "/usr/bin/etherwake")
+       end
+end
+
+function host.write(self, s, val)
+       local host = luci.http.formvalue("cbid.wol.1.mac")
+       local mac = ipc.checkmac(host)
+       if mac then
+               local cmd
+               local util = luci.http.formvalue("cbid.wol.1.binary") or (
+                       has_ewk and "/usr/bin/etherwake" or "/usr/bin/wol"
+               )
+
+               if util == "/usr/bin/etherwake" then
+                       local iface = luci.http.formvalue("cbid.wol.1.iface")
+                       local broadcast = luci.http.formvalue("cbid.wol.1.broadcast")
+                       cmd = "%s -D%s %s %q 2>&1" %{
+                               util, (iface ~= "" and " -i %s" % utl.shellquote(iface) or ""),
+                               (broadcast == "1" and " -b" or ""), mac
+                       }
+               else
+                       cmd = "%s -v %q" %{ util, mac }
+               end
+
+               local msg = "<p><strong>%s</strong><br /><br /><code>%s<br /><br />" %{
+                       translate("Starting WoL utility:"), utl.pcdata(cmd)
+               }
+
+               local p = io.popen(cmd .. " 2>&1")
+               if p then
+                       while true do
+                               local l = p:read("*l")
+                               if l then
+                                       if #l > 100 then l = l:sub(1, 100) .. "..." end
+                                       msg = msg .. l .. "<br />"
+                               else
+                                       break
+                               end
+                       end
+                       p:close()
+               end
+
+               msg = msg .. "</code></p>"
+
+               m.message = msg
+       end
+end
+
+
+return m
diff --git a/luci/luci-app-wol/po/ca/wol.po b/luci/luci-app-wol/po/ca/wol.po
new file mode 100644 (file)
index 0000000..193a323
--- /dev/null
@@ -0,0 +1,75 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2014-07-01 06:15+0200\n"
+"Last-Translator: Alex <alexhenrie24@gmail.com>\n"
+"Language-Team: none\n"
+"Language: ca\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Pootle 2.0.6\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Difon en totes les interfícies"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+"Trieu el host per a despertar o introduïu una adreça MAC personalitzada per "
+"a utilitzar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Host per a despertar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Interfície de xarxa per a utilitzar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"A vegades, només una de les dues eines funciona. Si un dels falla, prova la "
+"altra."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Especifica la interfície en que s'envia el paquet WoL"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Iniciant la utilitat WoL:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Despert en LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Despert en LAN és un mecanisme per a iniciar remotament ordinadors en la "
+"xarxa local."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Desperta al host"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Programa WoL"
diff --git a/luci/luci-app-wol/po/cs/wol.po b/luci/luci-app-wol/po/cs/wol.po
new file mode 100644 (file)
index 0000000..ad85bf0
--- /dev/null
@@ -0,0 +1,72 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2014-05-12 11:17+0200\n"
+"Last-Translator: sairon <llamka@gmail.com>\n"
+"Language-Team: none\n"
+"Language: cs\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
+"X-Generator: Pootle 2.0.6\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Vysílat broadcastem na všech rozhraních"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Vyberte zařízení, které má být probuzeno, nebo zadejte jeho MAC adresu"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Adresa zařízení, které má být probuzeno"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Použité síťové rozhraní"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Může se stát, že pro dané cílové zařízení bude fungovat pouze jeden z "
+"programů. Pokud první selže, vyzkoušejte další."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Zde se nastaví síťové rozhraní, přes které budou zasílány WoL packety."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Spouštím nástroj WoL:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Funkce \"Wake on LAN\" umožňuje vzdáleně spouštět počítače v místní síti."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Probudit zařízení"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Program provádějící WoL"
diff --git a/luci/luci-app-wol/po/de/wol.po b/luci/luci-app-wol/po/de/wol.po
new file mode 100644 (file)
index 0000000..e98ca2e
--- /dev/null
@@ -0,0 +1,75 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2011-06-11 01:37+0200\n"
+"Last-Translator: Jo-Philipp <jow@openwrt.org>\n"
+"Language-Team: none\n"
+"Language: de\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Pootle 2.0.4\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Auf allen Schnittstellen senden"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+"Zu startenden Rechner selektieren oder benutzerdefinierte MAC-Adresse angeben"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Anzuschaltender Rechner"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Verwendete Schnittstelle"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Manchmal funktioniert nur eines der beiden Programme. Wenn eines "
+"fehlschlägt, versuchen Sie das Andere."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+"Selektiert die Netzwerkschnittstelle auf der das WoL-Paket versendet wird"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Starte WoL-Programm:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake-on-LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake-on-LAN ist ein Mechanismus um Geräte im lokalen Netzwerk ferngesteuert "
+"anzuschalten."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Rechner anschalten"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "WoL-Programm"
diff --git a/luci/luci-app-wol/po/el/wol.po b/luci/luci-app-wol/po/el/wol.po
new file mode 100644 (file)
index 0000000..541554d
--- /dev/null
@@ -0,0 +1,66 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2010-04-19 00:29+0200\n"
+"Last-Translator: Automatically generated\n"
+"Language-Team: none\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr ""
diff --git a/luci/luci-app-wol/po/en/wol.po b/luci/luci-app-wol/po/en/wol.po
new file mode 100644 (file)
index 0000000..aeb6195
--- /dev/null
@@ -0,0 +1,67 @@
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Broadcast on all interfaces"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Choose the host to wake up or enter a custom MAC address to use"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Host to wake up"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Network interface to use"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Sometimes only one of both tools work. If one of fails, try the other one"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Specifies the interface the WoL packet is sent on"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Starting WoL utility:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Wake up host"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "WoL program"
diff --git a/luci/luci-app-wol/po/es/wol.po b/luci/luci-app-wol/po/es/wol.po
new file mode 100644 (file)
index 0000000..b9052e9
--- /dev/null
@@ -0,0 +1,73 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2019-05-15 00:41-0300\n"
+"Last-Translator: José Vicente <josevteg@gmail.com>\n"
+"Language-Team: none\n"
+"Language: es\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Poedit 2.2.1\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Transmitir en todas las interfaces"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Elija el host a despertar o introduzca su dirección MAC"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Host a despertar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Interfaz de red a utilizar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "Enviar a la dirección de transmisión"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"A veces solo una de las dos herramientas funciona. Si uno falla, prueba el "
+"otro."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Especifica la interfaz donde se envían los paquetes WoL"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Iniciando utilidad WoL:"
+
+# Wake on LAN es un término habitualmente utilizado en el español para referirse a esa misma función de encendido remoto a través de la red
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake on LAN es un mecanismo para iniciar equipos de forma remota en la red "
+"local."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Despertar host"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Programa WoL"
diff --git a/luci/luci-app-wol/po/fr/wol.po b/luci/luci-app-wol/po/fr/wol.po
new file mode 100644 (file)
index 0000000..afc556c
--- /dev/null
@@ -0,0 +1,74 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2011-11-23 22:22+0200\n"
+"Last-Translator: fredb <fblistes+luci@free.fr>\n"
+"Language-Team: French\n"
+"Language: fr\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Pootle 2.0.4\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Émettre sur toutes les interfaces"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Choisir l'hôte à réveiller ou entrer une adresse MAC à utiliser"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Hôte à réveiller"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Interface réseau à utiliser"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Parfois seul un des deux outils fonctionne. Si l'un échoue, essayez l'autre"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+"Spécifie l'interface sur laquelle le paquet <abbr title=\"Wake on LAN\">WoL</"
+"abbr> est envoyé"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Démarrer l'utilitaire <abbr title=\"Wake on LAN\">WoL</abbr> :"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake on LAN est un mécanisme pour démarrer à distance les ordinateurs du "
+"réseau local."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Réveiller l'hôte"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Programme <abbr title=\"Wake on LAN\">WoL</abbr>"
diff --git a/luci/luci-app-wol/po/he/wol.po b/luci/luci-app-wol/po/he/wol.po
new file mode 100644 (file)
index 0000000..541554d
--- /dev/null
@@ -0,0 +1,66 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2010-04-19 00:29+0200\n"
+"Last-Translator: Automatically generated\n"
+"Language-Team: none\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr ""
diff --git a/luci/luci-app-wol/po/hu/wol.po b/luci/luci-app-wol/po/hu/wol.po
new file mode 100644 (file)
index 0000000..d9b4a3d
--- /dev/null
@@ -0,0 +1,76 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2012-04-06 10:42+0200\n"
+"Last-Translator: juhosg <juhosg@openwrt.org>\n"
+"Language-Team: none\n"
+"Language: hu\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Pootle 2.0.4\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Szórás az összes interfészen"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+"Válassza ki a felélesztendő gépet, vagy adja meg a haszálandó egyedi MAC "
+"címet"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Felélesztendő gép"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Használandó interfész"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Néha csak az egyik eszköz működik. Ha valamelyik nem működik, próbálja ki a "
+"másikat."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+"Megadja azt az interfészt amelyiken keresztül a WoL csomag kiküldésre kerül"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "WoL segédprogram elindítása:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Felélesztés hálózaton keresztül"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"A felélesztés hálózaton keresztül a helyi hálózatban lévő számítógépek "
+"távoli elindítására szolgáló módszer."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Gép felélesztése"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "WoL program"
diff --git a/luci/luci-app-wol/po/it/wol.po b/luci/luci-app-wol/po/it/wol.po
new file mode 100644 (file)
index 0000000..19ad0ec
--- /dev/null
@@ -0,0 +1,73 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2013-02-03 14:01+0200\n"
+"Last-Translator: Francesco <3gasas@gmail.com>\n"
+"Language-Team: none\n"
+"Language: it\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Pootle 2.0.6\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Broadcast su tutte le interfacce"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Scegli l'host da \"svegliare\" o inserisci il MAC address da usare"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Host da \"svegliare\""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Interfaccia di rete da usare"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "Manda a indirizzo di broadcast"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"A volte solo uno dei due tools funziona. Se uno fallisce, tenta di usare il "
+"secondo"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Specifica l'interfaccia su cui il pacchetto \"magico\" WoL è inviato"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Avvia l'utility WoL:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake on LAN è un meccanismo che permette di avviare da remoto i computer "
+"nella rete locale"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Sveglia Host"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Programma WoL"
diff --git a/luci/luci-app-wol/po/ja/wol.po b/luci/luci-app-wol/po/ja/wol.po
new file mode 100644 (file)
index 0000000..4474a31
--- /dev/null
@@ -0,0 +1,72 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2017-01-27 21:03+0900\n"
+"Last-Translator: INAGAKI Hiroshi <musashino.open@gmail.com>\n"
+"Language-Team: none\n"
+"Language: ja\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+"X-Generator: Poedit 1.8.11\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "全てのインターフェースへブロードキャスト"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "起動するホストのMACアドレスを選択または入力してください"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "起動するホストを指定"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "使用するネットワークインターフェース"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "ブロードキャスト アドレスに送信する"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"片方のツールのみが動作する場合があるため、片方が失敗する場合は別のツールを試"
+"してみてください。"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "WoLパケットを送信するインタフェースを指定"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "WoLユーティリティを起動:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake on LANはローカルネットワーク内のコンピュータを遠隔で起動させることができ"
+"る機能です。"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "ホストを起動"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "WoLプログラム"
diff --git a/luci/luci-app-wol/po/ms/wol.po b/luci/luci-app-wol/po/ms/wol.po
new file mode 100644 (file)
index 0000000..adc2b92
--- /dev/null
@@ -0,0 +1,65 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2010-04-19 00:29+0200\n"
+"Last-Translator: Automatically generated\n"
+"Language-Team: none\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr ""
diff --git a/luci/luci-app-wol/po/no/wol.po b/luci/luci-app-wol/po/no/wol.po
new file mode 100644 (file)
index 0000000..ca30260
--- /dev/null
@@ -0,0 +1,64 @@
+msgid ""
+msgstr ""
+"Last-Translator: Lars Hardy <lars.hardy@gmail.com>\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Send på alle grensesnitt"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+"Velg hvilken vert som skal startes opp, eller angi en MAC adresse som skal "
+"brukes"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Vert som skal startes opp"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Nettverksgrensesnitt"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Noen ganger virker bare ett av disse verktøyene. Hvis ett av de ikke lykkes "
+"med å starte opp verten kan du prøve det andre."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Angir grensesnittet som WoL pakken blir sendt ut på"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Starter WoL:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake on LAN er en mekanisme for å starte opp datamaskiner i det lokale "
+"nettverket."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Start vert"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "WoL programm"
diff --git a/luci/luci-app-wol/po/pl/wol.po b/luci/luci-app-wol/po/pl/wol.po
new file mode 100644 (file)
index 0000000..c9972a7
--- /dev/null
@@ -0,0 +1,74 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2011-08-25 19:04+0200\n"
+"Last-Translator: Staszek <fistaszek@tlen.pl>\n"
+"Language-Team: none\n"
+"Language: pl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
+"|| n%100>=20) ? 1 : 2);\n"
+"X-Generator: Pootle 2.0.4\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Rozgłaszaj na wszystkie interfejsy"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Wybierz hosta z listy lub podaj adres MAC maszyny do wybudzenia"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Host do wybudzenia"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Użyty interfejs sieciowy"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Czasem działa tylko jedno z narzędzi. Jeżeli jedno z nich nie zadziała, "
+"proszę użyć drugiego."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Definiuje interfejs, na który będzie wysłany pakiet WoL"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Uruchamianie narzędzia WoL:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"\"Wake on LAN\" to mechanizm służący do zdalnego włączania komputerów w "
+"sieci lokalnej."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Wybudź hosta"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Narzędzie WoL"
diff --git a/luci/luci-app-wol/po/pt-br/wol.po b/luci/luci-app-wol/po/pt-br/wol.po
new file mode 100644 (file)
index 0000000..e9ed10b
--- /dev/null
@@ -0,0 +1,72 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2017-02-20 18:13-0300\n"
+"Last-Translator: Luiz Angelo Daros de Luca <luizluca@gmail.com>\n"
+"Language-Team: none\n"
+"Language: pt_BR\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Poedit 1.8.11\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Broadcast em todas as interfaces"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Escolha o computador para acordar ou entre com um endereço MAC"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Computador para acordar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Interfaces de rede para usar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "Enviar para o endereço de broadcast"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Algumas vezes, somente uma das duas ferramentas funciona. Se uma delas "
+"falhar, tente a outra"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Especifica a interface para onde os pacotes de WoL serão enviados"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Iniciando utilitário WoL:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake on LAN é um mecanismo para acordar/ligar remotamente computadores na "
+"rede local."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Acorda um computador"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Programa WoL"
diff --git a/luci/luci-app-wol/po/pt/wol.po b/luci/luci-app-wol/po/pt/wol.po
new file mode 100644 (file)
index 0000000..29abfbb
--- /dev/null
@@ -0,0 +1,71 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2013-05-30 22:54+0200\n"
+"Last-Translator: joao.f.vieira <joao.f.vieira@gmail.com>\n"
+"Language-Team: none\n"
+"Language: pt\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Pootle 2.0.6\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Broadcast em todas as interfaces"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Escolha ao host a acordar ou escreva um MAC personalizado a ser usado"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Host a acordar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Interface de rede a usar"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr "Às vezes só uma das ferramentas funciona. Se uma falhar, tente a outra"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Especifica a interface pela qual é enviado o pacota WoL"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "A iniciar a ferramenta WoL"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Wake on LAN é um mecanismo para remotamente iniciar computadores numa rede "
+"local."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Acordar host"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Programa de WoL"
diff --git a/luci/luci-app-wol/po/ro/wol.po b/luci/luci-app-wol/po/ro/wol.po
new file mode 100644 (file)
index 0000000..2c7277c
--- /dev/null
@@ -0,0 +1,74 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2011-10-07 16:47+0200\n"
+"Last-Translator: Daniel <daniel.petre@pitesti.rcs-rds.ro>\n"
+"Language-Team: none\n"
+"Language: ro\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1 ? 0 : (n==0 || (n%100 > 0 && n%100 < "
+"20)) ? 1 : 2);;\n"
+"X-Generator: Pootle 2.0.4\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Broadcast pe toate interfetele"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "Alege statie pentru \"trezire\" sau introdu o adresa MAC de folosit"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Statie pentru \"trezire\""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Interfata de retea pentru utilizare"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Uneori doar una dintre metode functioneaza. Daca se intampla, incearc-o pe "
+"cealalta"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Specifica interfata prin care pachetele WoL sunt trimise"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Pornire utilitar WoL:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Activarea pe LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Activarea pe LAN e un mecanism pentru a porni de la distanta computere de pe "
+"retea."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Statie de \"trezire\""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Program WoL"
diff --git a/luci/luci-app-wol/po/ru/wol.po b/luci/luci-app-wol/po/ru/wol.po
new file mode 100644 (file)
index 0000000..08322ba
--- /dev/null
@@ -0,0 +1,77 @@
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Project-Id-Version: LuCI: wol\n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2018-01-14 11:43+0300\n"
+"Language-Team: http://cyber-place.ru\n"
+"MIME-Version: 1.0\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.8.7.1\n"
+"Last-Translator: Vladimir aka sunny <picfun@ya.ru>\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
+"%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"Language: ru\n"
+"Project-Info: Это технический перевод, не дословный. Главное-удобный русский "
+"интерфейс, все проверялось в графическом режиме, совместим с другими apps\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Использовать широковещательную передачу на все интерфейсы"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+"Задать хост, который необходимо разбудить.<br />Можно использовать MAC-адрес "
+"или имя хоста."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Выбрать хост"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Выбрать интерфейс"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "Отправить на<br />широковещательный<br />адрес"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Иногда работает только один из двух инструментов. Если один терпит неудачу, "
+"попробуйте другой."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Задать сетевой интерфейс, по которому будут посланы пакеты WoL."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Запуск WoL утилиты:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Пробуждение по LAN (Wake on LAN, WoL) - технология позволяющая удалённо "
+"'разбудить', включить компьютер.<br />Осуществляется это путем отправки "
+"через локальную сеть, специальным образом сформированного пакета данных.<br /"
+">Материнская плата компьютера должна иметь поддержку WoL и соответственно "
+"настроенный биос."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Разбудить хост"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Утилита WoL"
diff --git a/luci/luci-app-wol/po/sk/wol.po b/luci/luci-app-wol/po/sk/wol.po
new file mode 100644 (file)
index 0000000..b20c3dd
--- /dev/null
@@ -0,0 +1,61 @@
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Project-Id-Version: PACKAGE VERSION\n"
+"Last-Translator: Automatically generated\n"
+"Language-Team: none\n"
+"MIME-Version: 1.0\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr ""
diff --git a/luci/luci-app-wol/po/sv/wol.po b/luci/luci-app-wol/po/sv/wol.po
new file mode 100644 (file)
index 0000000..93615f2
--- /dev/null
@@ -0,0 +1,68 @@
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Project-Id-Version: PACKAGE VERSION\n"
+"Last-Translator: Automatically generated\n"
+"Language-Team: none\n"
+"Language: sv\n"
+"MIME-Version: 1.0\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Sänd i alla gränssnitt"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+"Välj värden som ska väckas upp eller fyll i en anpassad MAC-adress att "
+"använda"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Värd att väcka upp"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Nätverksgränssnitt att använda"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "Skicka till sändningsadress"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Ibland så fungerar bara en av de två verktygen. Prova med den andra om den "
+"första misslyckades"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Anger gränssnittet som fjärrstartspaketet skickas med"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Startar hjälpprogrammet för fjärrstyrning av uppstart:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Fjärrstyrning av uppstart"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Fjärrstyrning av uppstart är en mekanism för att starta upp datorer via "
+"fjärrstyrning i det lokala nätverket."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Väck upp värden"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Program för fjärrstart"
diff --git a/luci/luci-app-wol/po/templates/wol.pot b/luci/luci-app-wol/po/templates/wol.pot
new file mode 100644 (file)
index 0000000..53528ae
--- /dev/null
@@ -0,0 +1,54 @@
+msgid ""
+msgstr "Content-Type: text/plain; charset=UTF-8"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr ""
diff --git a/luci/luci-app-wol/po/tr/wol.po b/luci/luci-app-wol/po/tr/wol.po
new file mode 100644 (file)
index 0000000..91d87dc
--- /dev/null
@@ -0,0 +1,66 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2010-04-19 00:29+0200\n"
+"Last-Translator: Automatically generated\n"
+"Language-Team: none\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr ""
diff --git a/luci/luci-app-wol/po/uk/wol.po b/luci/luci-app-wol/po/uk/wol.po
new file mode 100644 (file)
index 0000000..bcb5e04
--- /dev/null
@@ -0,0 +1,71 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2018-07-20 10:10+0300\n"
+"Last-Translator: Yurii <yuripet@gmail.com>\n"
+"Language-Team: none\n"
+"Language: uk\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
+"%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "Широкомовна трансляція на всіх інтерфейсах"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+"Виберіть комп’ютер, який необхідно розбудити або введіть користувацьку MAC-"
+"адресу"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "Комп’ютер, який необхідно розбудити"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "Використовувати мережевий інтерфейс"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "Надіслати на широкомовну адресу"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+#, fuzzy
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+"Іноді працює тільки одна з цих двох утиліт. Якщо одна з них не працює, "
+"спробуйте іншу."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "Визначає інтерфейс, яким буде надіслано пакет WoL"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "Запуск утиліти WoL:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "Wake on LAN"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+"Пробудження через LAN (Wake on LAN) є технологією, що дає змогу віддалено "
+"\"будити\" (вмикати) комп’ютери у локальній мережі."
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "Розбудити комп’ютер"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "Программа WoL"
diff --git a/luci/luci-app-wol/po/vi/wol.po b/luci/luci-app-wol/po/vi/wol.po
new file mode 100644 (file)
index 0000000..91d87dc
--- /dev/null
@@ -0,0 +1,66 @@
+# Generated from applications/luci-wol/luasrc/model/cbi/wol.lua
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2010-04-19 00:29+0200\n"
+"Last-Translator: Automatically generated\n"
+"Language-Team: none\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr ""
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr ""
diff --git a/luci/luci-app-wol/po/zh-cn/wol.po b/luci/luci-app-wol/po/zh-cn/wol.po
new file mode 100644 (file)
index 0000000..9177133
--- /dev/null
@@ -0,0 +1,69 @@
+#
+# Yangfl <mmyangfl@gmail.com>, 2017, 2018.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2018-08-07 16:45+0800\n"
+"Last-Translator: Yangfl <mmyangfl@gmail.com>\n"
+"Language-Team:  <debian-l10n-chinese@lists.debian.org>\n"
+"Language: zh_CN\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+"X-Generator: Gtranslator 2.91.7\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "向所有接口广播"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "选择要唤醒的主机,或者输入自定义 MAC 地址"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "选择要唤醒的主机"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "选择使用的网络接口"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "发送到广播地址"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr "这两个工具有时只有一个生效。如果其中一个失效,请尝试另一个"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "限定将发送网络唤醒数据包的接口"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "正在启动网络唤醒工具:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "网络唤醒"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr "网络唤醒是一个远程启动本地网络内计算机的机制。"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "唤醒主机"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "网络唤醒程序"
diff --git a/luci/luci-app-wol/po/zh-tw/wol.po b/luci/luci-app-wol/po/zh-tw/wol.po
new file mode 100644 (file)
index 0000000..ab7aec4
--- /dev/null
@@ -0,0 +1,69 @@
+#
+# Yangfl <mmyangfl@gmail.com>, 2017, 2018.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-04-19 00:29+0200\n"
+"PO-Revision-Date: 2018-08-07 17:24+0800\n"
+"Last-Translator: Yangfl <mmyangfl@gmail.com>\n"
+"Language-Team:  <debian-l10n-chinese@lists.debian.org>\n"
+"Language: zh_TW\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+"X-Generator: Gtranslator 2.91.7\n"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:38
+msgid "Broadcast on all interfaces"
+msgstr "向所有介面廣播"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:47
+msgid "Choose the host to wake up or enter a custom MAC address to use"
+msgstr "選擇要喚醒的主機,或者輸入自訂 MAC 位址"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:46
+msgid "Host to wake up"
+msgstr "選擇要喚醒的主機"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:31
+msgid "Network interface to use"
+msgstr "選擇使用的網路介面"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:55
+msgid "Send to broadcast address"
+msgstr "傳送到廣播位址"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:24
+msgid ""
+"Sometimes only one of the two tools works. If one fails, try the other one"
+msgstr "這兩個工具有時只有一個生效。如果其中一個失效,請嘗試另一個"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:32
+msgid "Specifies the interface the WoL packet is sent on"
+msgstr "限定將傳送網路喚醒資料包的介面"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:82
+msgid "Starting WoL utility:"
+msgstr "正在啟動網路喚醒工具:"
+
+#: applications/luci-app-wol/luasrc/controller/wol.lua:4
+#: applications/luci-app-wol/luasrc/controller/wol.lua:5
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:9
+msgid "Wake on LAN"
+msgstr "網路喚醒"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:10
+msgid ""
+"Wake on LAN is a mechanism to remotely boot computers in the local network."
+msgstr "網路喚醒是一個遠端啟動本地網路內計算機的機制。"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:12
+msgid "Wake up host"
+msgstr "喚醒主機"
+
+#: applications/luci-app-wol/luasrc/model/cbi/wol.lua:23
+msgid "WoL program"
+msgstr "網路喚醒程式"
diff --git a/net/etherwake-nfqueue/Makefile b/net/etherwake-nfqueue/Makefile
new file mode 100644 (file)
index 0000000..19897f7
--- /dev/null
@@ -0,0 +1,51 @@
+#
+# Copyright (C) 2019 Mister Benjamin <144dbspl@gmail.com>
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=etherwake-nfqueue
+PKG_RELEASE:=2
+
+PKG_SOURCE_PROTO:=git
+PKG_SOURCE_URL:=https://github.com/mister-benjamin/etherwake-nfqueue.git
+PKG_SOURCE_DATE:=2019-09-28
+PKG_SOURCE_VERSION:=f71c269b58585e93575fa3e9fcc1793806fb3080
+PKG_MIRROR_HASH:=4960dc592abc4ca06504c92ca09fc736c678353df0dcc32d4081e17b137a9164
+
+PKG_MAINTAINER:=Mister Benjamin <144dbspl@gmail.com>
+PKG_LICENSE:=GPL-2.0-or-later
+
+include $(INCLUDE_DIR)/package.mk
+include $(INCLUDE_DIR)/cmake.mk
+
+define Package/etherwake-nfqueue
+  SECTION:=net
+  CATEGORY:=Network
+  DEPENDS:=+libnetfilter-queue +iptables-mod-nfqueue
+  TITLE:=Wake up computers on netfilter match
+  URL:=https://github.com/mister-benjamin/etherwake-nfqueue
+endef
+
+define Package/etherwake-nfqueue/description
+ Fork of etherwake with additional support for sending WOL packets
+ when a router added a filtered packet to an NFQUEUE.
+endef
+
+define Package/etherwake-nfqueue/conffiles
+/etc/config/etherwake-nfqueue
+endef
+
+define Package/etherwake-nfqueue/install
+       $(INSTALL_DIR) $(1)/usr/bin
+       $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/etherwake-nfqueue $(1)/usr/bin/
+       $(INSTALL_DIR) $(1)/etc/config
+       $(INSTALL_CONF) files/$(PKG_NAME).config $(1)/etc/config/$(PKG_NAME)
+       $(INSTALL_DIR) $(1)/etc/init.d
+       $(INSTALL_BIN) files/$(PKG_NAME).init $(1)/etc/init.d/$(PKG_NAME)
+endef
+
+$(eval $(call BuildPackage,etherwake-nfqueue))
diff --git a/net/etherwake-nfqueue/README.md b/net/etherwake-nfqueue/README.md
new file mode 100644 (file)
index 0000000..b44ac9e
--- /dev/null
@@ -0,0 +1,378 @@
+# OpenWrt package feed for etherwake-nfqueue
+
+
+## Wake up computers on netfilter match
+
+This repository contains the OpenWrt package feed for
+[etherwake-nfqueue](https://github.com/mister-benjamin/etherwake-nfqueue),
+a fork of the **etherwake** Wake-on-LAN client, with support to send magic
+packets only after a queued packet is received from the Linux *nfnetlink_queue*
+subsystem.
+
+When running **etherwake-nfqueue** on a residential gateway or other type of
+router, it can wake up hosts on its network based on packet filtering rules.
+
+For instance, when your set-top box wants to record a TV programme and
+tries to access a network share on your NAS, which is in sleep or standby mode,
+**etherwake-nfqueue** can wake up your NAS. Or when you set up port forwarding
+to a host on your home network, **etherwake-nfqueue** can wake up your host
+when you try to access it over the Internet.
+
+The documentation below is mostly OpenWrt specific. For more information on
+etherwake-nfqueue itself and use case examples, please consult its
+[Readme](https://github.com/mister-benjamin/etherwake-nfqueue/blob/master/README.md).
+
+
+## Building the package
+
+Currently, no pre-built packages are provided. The following assumes that you
+already have a working OpenWrt build system for your target device.
+
+If you haven't, you can follow one of these guides:
+
+* If you only want to compile packages, and no firmware image:
+  [Build system – Installation](https://openwrt.org/docs/guide-developer/build-system/install-buildsystem) and
+  [Using the SDK](https://openwrt.org/docs/guide-developer/using_the_sdk)
+
+* To quickly build a firmware image off a development snapshot:
+  [Quick Image Building Guide](https://openwrt.org/docs/guide-developer/quickstart-build-images)
+
+* Or when you are completely new to using build systems:
+  [Beginners guide to building your own firmware](https://openwrt.org/docs/guide-user/additional-software/beginners-build-guide)
+
+### Dependencies
+
+**etherwake-nfqueue** depends on these OpenWrt packages:
+
+* libnetfilter-queue
+* iptables-mod-nfqueue
+
+They will be automatically selected and compiled for you. If they are not
+installed on your target device, *opkg* will try to resolve dependencies with
+packages in the repositories.
+
+### Adding the package feed
+
+First, you need to add the **etherwake-nfqueue** package feed to your build
+system.  In the root directory of your OpenWrt build system, find the file
+*feeds.conf* (or *feeds.conf.default* if the former shouldn't exist) and add
+the following line to it:
+
+```
+src-git ethernfq https://github.com/mister-benjamin/etherwake-nfqueue-openwrt.git
+```
+
+Then update and install the package feed:
+```
+user@host:~/openwrt$ scripts/feeds update ethernfq
+user@host:~/openwrt$ scripts/feeds install -a -p ethernfq
+```
+
+After that, enter OpenWrt's configuration menu
+```
+user@host:~/openwrt$ make menuconfig
+```
+and enable **etherwake-nfqueue** in the **Network** sub-menu. It can either be selected
+as built-in (\*) or module (M), depending on your decision to include it into a
+firmware image or just build the *opkg* package for installation.
+
+Then you should be able to compile the package:
+```
+user@host:~/openwrt$ make package/etherwake-nfqueue/compile
+```
+
+The path of the resulting package depends on your selected *Target System*.
+In case of the Linksys WRT1200AC, it can be found here:
+```
+bin/packages/arm_cortex-a9_vfpv3/ethernfq/etherwake-nfqueue_2019-09-10-67e9d4ca-1_arm_cortex-a9_vfpv3.ipk
+```
+
+
+## Installation
+
+One way to install the package is by simply copying it over to the device with *scp*:
+```
+user@host:~$ scp etherwake-nfqueue_2019-09-10-67e9d4ca-1_arm_cortex-a9_vfpv3.ipk root@gateway:~
+```
+And then, install it on the device:
+```
+root@gateway:~# opkg install etherwake-nfqueue_2019-09-10-67e9d4ca-1_arm_cortex-a9_vfpv3.ipk
+```
+
+
+## Configuration
+
+### WoL Targets
+
+After a fresh installation, no target is configured. Targets are referred
+to as the hosts to wake up. Multiple targets can coexist.
+
+Targets can be configured with OpenWrt's UCI.
+
+For example, to add a target called **nas**, with MAC address
+ **00:25:90:00:d5:fd**, which is reachable over the VLAN configured
+on **eth0.3**, issue this command sequence on your router:
+
+```
+uci add etherwake-nfqueue target
+uci set etherwake-nfqueue.@target[-1].name=nas
+uci set etherwake-nfqueue.@target[-1].mac=00:25:90:00:d5:fd
+uci set etherwake-nfqueue.@target[-1].interface=eth0.3
+uci commit
+```
+
+For each target, one instance of **etherwake-nfqueue** will be started.
+
+Each instance should bind to a different *nfnetlink_queue*. A queue can
+be referenced by its queue number. Counting starts from 0, which is the default.
+To use a different queue, provide the **nfqueue_num** option. The
+following could have been added to the sequence above to use queue 1 instead
+of 0:
+
+```
+uci set etherwake-nfqueue.@target[-1].nfqueue_num=1
+```
+
+The necessity of a queue number will probably become clear, when the iptables
+rules are configured in section [Setup firewall rules](#setup-firewall-rules).
+
+The full list of options for a target is:
+
+| Option      | Required | Description                                      |
+| ----------- | -------- | ------------------------------------------------ |
+| name        | no       | Name of the target, e.g. name=example            |
+| mac         | yes      | MAC address of the host to wake up, e.g. mac=00:22:44:66:88:aa |
+| nfqueue_num | no       | The queue number used for receiving filtered packets, default is nfqueue_num=0 |
+| interface   | no       | The interface used for sending the magic packet, default is interface=eth0 |
+| broadcast   | no       | Send magic packet to broadcast address, default is broadcast=off |
+| password    | no       | Set a password (required by some adapters), e.g. password=00:22:44:66:88:aa or 192.168.1.1 |
+| enabled     | no       | Optionally disable the target, default is enabled=true |
+
+After committing your changes, the settings are persisted to
+*/etc/config/etherwake-nfqueue*. This is an illustrative example:
+```
+config etherwake-nfqueue 'setup'
+        option sudo 'off'
+        option debug 'off'
+
+config target
+        option name 'nas'
+        option mac '00:25:90:00:d5:fd'
+        option interface 'eth0.3'
+
+config target
+        option name 'xyz-board'
+        option mac '00:25:90:00:d5:fc'
+        option nfqueue_num '1'
+        option enabled 'false'
+
+config target
+        option name 'ip-camera'
+        option mac '00:25:90:00:d5:fb'
+        option nfqueue_num '2'
+        option interface 'eth0.3'
+        option broadcast 'on'
+        option password '00:25:90:00:d5:fb'
+```
+
+When all target(s) are configured, restart the *etherwake-nfqueue* service:
+```
+/etc/init.d/etherwake-nfqueue restart
+```
+
+### Setting up filters
+
+Without any firewall rules which tell the kernel to match and add packets
+to a *nfnetlink_queue*, **etherwake-nfqueue** will never send out a magic
+packet to wake its target.
+
+#### Prerequisites
+
+In order to let the *netfilter* framework of the kernel see the packets,
+they need to pass through the router. This is usually not the case when
+hosts are on the same subnet and don't require network layer routing.
+The data will only pass through the router's switch on the link layer.
+
+As a consequence, we can only use packets as a trigger which need to be
+routed or bridged by the router. Packets being forwarded between WAN
+and LAN are of that type. For other SOHO use cases, partitioning your
+network by means of subnets or VLANs might be necessary. The latter
+is often used to set up a DMZ.
+
+For VLANs:
+
+* There's a mini howto referring to the **LuCI Web Interface**
+  *(Network -> Switch)* way of configuring VLANs:
+  [How-To: Creating an additional virtual switch on a typical home router](https://openwrt.org/docs/guide-user/network/vlan/creating_virtual_switches)
+
+* The manual approach is documented here:
+  [VLAN](https://openwrt.org/docs/guide-user/network/vlan/switch_configuration)
+
+Guides to setup a DMZ can be found here:
+
+* [Guide to set up DMZ via LUCI](https://forum.openwrt.org/t/guide-to-set-up-dmz-via-luci/21616)
+
+* [fw3 DMZ Configuration Using VLANs](https://openwrt.org/docs/guide-user/firewall/fw3_configurations/fw3_dmz)
+
+The physical switch layout is device specific. E.g. the layout for the Linksys
+WRT AC Series is documented
+[here](https://oldwiki.archive.openwrt.org/toh/linksys/wrt_ac_series#switch_layout).
+
+
+Using two LANs or VLANs with the same network address and bridging them again
+is a trick to setup a transparent (or bridging) firewall on the same subnet.
+This way, packets can be seen by *netfilter* on the router even if the
+packets are not routed. Unfortunately this doesn't help when the host
+which we want to wake up is offline, as the ARP requests for the destination
+IP address are not answered and thus the client trying to reach out to its
+destination will not send any *network layer* packets. We could use *arptables*
+instead to wake the host when someone requests its MAC address, but this
+would probably happen too often and no fine-grained control would be possible.
+
+As a workaround, it might be possible to configure a static ARP entry on your
+router (untested), e.g. with:
+```
+ip neigh add 192.168.0.10 lladdr 00:25:90:00:d5:fd nud permanent dev eth0.3
+```
+Note that this requires the *ip-full* OpenWrt package to be installed.
+
+To make your firewall rules work with bridging, you need to install the
+*kmod-br-netfilter* package and add `net.bridge.bridge-nf-call-iptables=1`
+to */etc/sysctl.conf*.
+
+
+#### Setup firewall rules
+
+One way to setup custom firewall rules in OpenWrt is through its
+*/etc/firewall.user* script. This file can also be edited by means of
+the **LuCI Web Interface** *(Network -> Firewall -> Custom Rules)*.
+
+The file is interpreted as a shell script, so we can simply use **iptables**
+to add our custom firewall rules.
+
+Notice the comment
+```
+# Internal uci firewall chains are flushed and recreated on reload, so
+# put custom rules into the root chains e.g. INPUT or FORWARD or into the
+# special user chains, e.g. input_wan_rule or postrouting_lan_rule.
+```
+
+Refer to [Packet flow](https://oldwiki.archive.openwrt.org/doc/uci/firewall#packet_flow)
+for usable chains. In the example below, the chains *forwarding_lan_rule* and
+*forwarding_wan_rule* are used. To inspect the rule sets of the different tables, one can
+use
+
+```
+iptables --list                  # default is --table filter
+iptables --table nat --list
+iptables --table mangle --list
+iptables --table raw --list      # requires kmod-ipt-raw
+```
+
+The following is an example of what could be added to */etc/firewall.user*:
+
+```
+iptables --insert forwarding_lan_rule\
+         --protocol tcp --in-interface=br-lan --out-interface=eth0.3\
+         --destination 192.168.0.10 --destination-port 445\
+         --match conntrack --ctstate NEW\
+         --match limit --limit 3/hour --limit-burst 1\
+         --jump NFQUEUE --queue-num 0 --queue-bypass\
+         --match comment --comment "Wake up NAS on LAN SMB"
+iptables --insert forwarding_lan_rule\
+         --protocol tcp --in-interface=br-lan --out-interface=eth0.3\
+         --destination 192.168.0.11 --match multiport --destination-ports 515,54921,631\
+         --match conntrack --ctstate NEW\
+         --match limit --limit 3/hour --limit-burst 1\
+         --jump NFQUEUE --queue-num 0 --queue-bypass\
+         --match comment --comment "Wake up NAS on print request"
+iptables --insert forwarding_lan_rule\
+         --protocol udp --in-interface=br-lan --out-interface=eth0.3\
+         --destination 192.168.0.11 --destination-port 161\
+         --match conntrack --ctstate NEW\
+         --match limit --limit 3/hour --limit-burst 1\
+         --jump NFQUEUE --queue-num 0 --queue-bypass\
+         --match comment --comment "Wake up NAS on print request"
+iptables --insert forwarding_wan_rule\
+         --protocol tcp --in-interface=eth1.2 --out-interface=eth0.3\
+         --destination 192.168.0.10 --destination-port 22\
+         --match conntrack --ctstate NEW\
+         --match limit --limit 3/hour --limit-burst 1\
+         --jump NFQUEUE --queue-num 0 --queue-bypass\
+         --match comment --comment "Wake up NAS on WAN SSH"
+```
+
+In this example, packets are filtered based on the protocol, their input
+and output interfaces, their destination (IP address) and their destination
+port(s).
+
+The option `--match conntrack --ctstate NEW` only matches packets of a new
+connection and `--match limit --limit 3/hour --limit-burst 1` limits the
+amount of packets that are matched. The latter option roughly matches
+only one packet per 20 minutes. The intention here is to not be too intrusive
+and avoid sending a lot of magic packets.
+
+The `--jump NFQUEUE --queue-num 0` options tell the *netfilter*
+framework to enqueue a matching packet to the NFQUEUE number 0. In this
+example, all four rules send the matching packets into queue 0. The
+additional option `--queue-bypass` helps in the situation, when
+**etherwake-nfqueue** isn't running. Packets will then be handled
+as if the rule wasn't present.
+
+
+## Disabling targets
+
+To disable targets, first find their index:
+```
+uci show etherwake-nfqueue
+```
+
+Then set its *enabled* option to false and restart the service.
+For index 0, it can be done like this:
+```
+uci set etherwake-nfqueue.@target[0].enabled=false
+/etc/init.d/etherwake-nfqueue restart
+```
+
+
+## Troubleshooting
+
+### Debug mode
+
+In order to see what's going on in syslog and get some debug output when
+starting the service, enable etherwake-nfqueue's debug mode:
+```
+uci set etherwake-nfqueue.setup.debug=on
+```
+In another user session tail the log:
+```
+logread -f
+```
+And then restart the service:
+```
+/etc/init.d/etherwake-nfqueue restart
+```
+
+### Inspect netfilter
+
+To inspect the working of your firewall rules, you can print statistics
+of the chains you used, e.g.:
+```
+iptables --verbose --list forwarding_lan_rule
+```
+
+If you happen to have the *procps-ng-watch* package installed, you can watch
+them:
+```
+watch iptables --verbose --list forwarding_lan_rule
+```
+
+To see, if your queues are in place, use:
+```
+cat /proc/net/netfilter/nfnetlink_queue
+```
+
+## Potential improvements
+
+* Add **LuCI Web Interface** configuration frontend for *targets* and *filter rules*
+* Add an option to set *nice* values for instances
diff --git a/net/etherwake-nfqueue/files/etherwake-nfqueue.config b/net/etherwake-nfqueue/files/etherwake-nfqueue.config
new file mode 100644 (file)
index 0000000..541bbe2
--- /dev/null
@@ -0,0 +1,21 @@
+config etherwake-nfqueue 'setup'
+       option sudo 'off'
+       option debug 'off'
+
+# You can add targets with uci:
+# # uci add etherwake-nfqueue target
+# Set a name for the target
+# # uci set etherwake-nfqueue.@target[-1].name=example
+# Set MAC address of the host to wake up
+# # uci set etherwake-nfqueue.@target[-1].mac=00:22:44:66:88:aa
+# Set the nfqueue num used for receiving filtered packets, defaults to 0
+# # uci set etherwake-nfqueue.@target[-1].nfqueue_num=0
+# Set the interface used for sending the magic packet, defaults to 'eth0'
+# # uci set etherwake-nfqueue.@target[-1].interface=eth0
+# Configure if it should be sent to broadcast address, defaults to off
+# # uci set etherwake-nfqueue.@target[-1].broadcast=off
+# Optionally provide a password (required by some adapters)
+# e.g. 00:22:44:66:88:aa or 192.168.1.1
+# # uci set etherwake-nfqueue.@target[-1].password=00:22:44:66:88:aa
+# Optionally disable the target, by default it is enabled
+# # uci set etherwake-nfqueue.@target[-1].enabled=false
diff --git a/net/etherwake-nfqueue/files/etherwake-nfqueue.init b/net/etherwake-nfqueue/files/etherwake-nfqueue.init
new file mode 100644 (file)
index 0000000..0be740d
--- /dev/null
@@ -0,0 +1,69 @@
+#!/bin/sh /etc/rc.common
+#
+# Copyright (C) 2019 Mister Benjamin <144dbspl@gmail.com>
+
+NAME='etherwake-nfqueue'
+
+START=60
+USE_PROCD=1
+
+PROGRAM=${NAME}
+
+start_service()
+{
+    local value
+
+    config_load ${NAME}
+
+    config_get_bool value setup sudo 0
+    [ "${value}" -ne 0 ] && PROGRAM="sudo ${PROGRAM}"
+
+    config_get_bool value setup debug 0
+    if [ "${value}" -ne 0 ]; then
+        PROCD_DEBUG=1
+        append PROGRAM '-D'
+    fi
+
+    config_foreach start_instance target
+}
+
+start_instance()
+{
+    local section="$1"
+    local value name mac
+
+    config_get_bool value "${section}" enabled 1
+    [ "${value}" -ne 1 ] && return 0
+
+    config_get value "${section}" name
+    [ -z "${value}" ] && value="{section}"
+    name=${value}
+
+    config_get mac "${section}" mac
+    [ -z "${mac}" ] && {
+        echo "${initscript}: Target ${name} has no MAC address"
+        return 1
+    }
+
+    procd_open_instance ${name}
+    procd_set_param command ${PROGRAM}
+    procd_set_param respawn
+    procd_set_param stdout 1
+    procd_set_param stderr 1
+
+    config_get_bool value "${section}" broadcast 0
+    [ "${value}" -ne 0 ] && procd_append_param command -b
+
+    config_get value "${section}" interface
+    [ -n "${value}" ] && procd_append_param command -i "${value}"
+
+    config_get value "${section}" password
+    [ -n "${value}" ] && procd_append_param command -p "${value}"
+
+    config_get value "${section}" nfqueue_num 0
+    procd_append_param command -q "${value}"
+
+    procd_append_param command "${mac}"
+
+    procd_close_instance
+}
diff --git a/net/etherwake/Makefile b/net/etherwake/Makefile
new file mode 100644 (file)
index 0000000..98063c0
--- /dev/null
@@ -0,0 +1,55 @@
+#
+# Copyright (C) 2007-2015 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=etherwake
+PKG_VERSION:=1.09
+PKG_RELEASE:=5
+
+PKG_SOURCE:=$(PKG_NAME)_$(PKG_VERSION).orig.tar.gz
+PKG_SOURCE_URL:=http://ftp.debian.org/debian/pool/main/e/etherwake
+PKG_HASH:=54241c7689579dc86e29e6afbc6d60e69f97135091a1395c8a10f6d5a2daec1d
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION).orig
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/etherwake
+  SECTION:=net
+  CATEGORY:=Network
+  TITLE:=WoL client for magic packets via ethernet frames
+  URL:=http://ftp.debian.org/debian/pool/main/e/etherwake
+  MAINTAINER:=Peter Wagner <tripolar@gmx.at>
+endef
+
+define Package/etherwake/description
+       You can wake up WOL compliant Computers which have been powered down to
+       sleep mode or start WOL compliant Computers with a BIOS feature.
+       WOL is an abbreviation for Wake-on-LAN. It is a standard that allows you
+       to turn on a computer from another location over a network connection.
+       ether-wake also supports WOL passwords.
+endef
+
+define Build/Compile
+       $(TARGET_CC) $(TARGET_CFLAGS) -D__UCLIBC__ $(TARGET_LDFLAGS) $(PKG_BUILD_DIR)/ether-wake.c -o $(PKG_BUILD_DIR)/etherwake
+endef
+
+define Package/etherwake/install
+       $(INSTALL_DIR) $(1)/usr/bin
+       $(INSTALL_BIN) $(PKG_BUILD_DIR)/etherwake $(1)/usr/bin/
+       $(INSTALL_DIR) $(1)/etc/config
+       $(INSTALL_DATA) files/$(PKG_NAME).config $(1)/etc/config/$(PKG_NAME)
+       $(INSTALL_DIR) $(1)/etc/init.d
+       $(INSTALL_BIN) files/$(PKG_NAME).init $(1)/etc/init.d/$(PKG_NAME)
+endef
+
+define Package/etherwake/conffiles
+/etc/config/etherwake
+endef
+
+$(eval $(call BuildPackage,etherwake))
diff --git a/net/etherwake/files/etherwake.config b/net/etherwake/files/etherwake.config
new file mode 100644 (file)
index 0000000..965cdcf
--- /dev/null
@@ -0,0 +1,28 @@
+config 'etherwake' 'setup'
+       # possible program paths
+       option 'pathes' '/usr/bin/etherwake /usr/bin/ether-wake'
+       # use sudo, defaults to off
+       option 'sudo' 'off'
+       # interface, defaults to 'eth0'
+       # -i <ifname>
+       option 'interface' ''
+       # send wake-up packet to the broadcast address, defaults to off
+       # -b
+       option 'broadcast' 'off'
+
+config 'target'
+       # name for the target
+       option 'name' 'example'
+       # mac address to wake up
+       option 'mac' '11:22:33:44:55:66'
+       # password in hex without any delimiters
+       option 'password' 'AABBCCDDEEFF'
+       # wake up on system start, defaults to off
+       option 'wakeonboot' 'off'
+
+# To add a new target use:
+#  uci add etherwake target
+#  uci set etherwake.@target[-1].name=example
+#  uci set etherwake.@target[-1].mac=11:22:33:44:55:66
+#  uci set etherwake.@target[-1].password=AABBCCDDEEFF
+#  uci set etherwake.@target[-1].wakeonboot=off
diff --git a/net/etherwake/files/etherwake.init b/net/etherwake/files/etherwake.init
new file mode 100644 (file)
index 0000000..0504cf1
--- /dev/null
@@ -0,0 +1,132 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2009 OpenWrt.org
+
+NAME='etherwake'
+START=60
+PROGRAM=''
+
+start()
+{
+       local searchlist=''
+       local section=''
+       local value=''
+
+       config_load "${NAME}"
+
+       # check for available program
+       config_get searchlist 'setup' 'pathes'
+       PROGRAM=$(search_program "${searchlist}")
+       [ -z "${PROGRAM}" ] && {
+               echo "${initscript}: No ${NAME} program installed. Check: opkg list | grep ${NAME}"
+               exit 1
+       }
+
+       # sudo
+       config_get_bool value 'setup' 'sudo' '0'
+       [ "${value}" -ne 0 ] && PROGRAM="sudo ${PROGRAM}"
+
+       # interface
+       config_get value 'setup' 'interface'
+       [ -n "${value}" ] && append PROGRAM "-i ${value}"
+
+       # broadcast
+       config_get_bool value 'setup' 'broadcast' '0'
+       [ "${value}" -ne 0 ] && append PROGRAM '-b'
+
+       # wake up targets
+       config_foreach etherwake_start target $*
+}
+
+etherwake_start()
+{
+       local section="$1"
+       shift
+
+       local names="$*"
+
+       local value=''
+       local target=''
+
+       if [ -z "${names}" ]
+        then
+               # check if boot target
+               config_get_bool value "${section}" 'wakeonboot' '0'
+               [ "${value}" -eq 0 ] && return 0
+
+               # wake up target
+               do_etherwake "${section}"
+               return $?
+       else
+               # name
+               config_get value "${section}" 'name'
+               [ -z "${value}" ] && return 0
+
+               for target in ${names}
+                do
+                       [ "${value}" != "${target}" ] && continue
+
+                       # wake up target
+                       do_etherwake "${section}"
+                       return $?
+               done
+       fi
+}
+
+# execute etherwake command for target
+do_etherwake()
+{
+       local section="$1"
+       local value=''
+       local password=''
+       local args=''
+
+       # password
+       config_get value "${section}" 'password'
+       [ -n "${value}" ] && {
+               password=$(etherwake_password "${value}")
+               append args "-p ${password}"
+       }
+
+       # mac address
+       config_get value "${section}" 'mac'
+       [ -z "${value}" ] && { echo "${initscript}: Target ${section} has no MAC address"; return 1; }
+       append args "${value}"
+
+       # name
+       config_get value "${section}" 'name'
+       [ -z "${value}" ] && value="{section}"
+
+       # execute command
+       echo "${initscript}: Waking up ${value} via ${PROGRAM}${args:+ ${args}}"
+       ${PROGRAM} ${args}
+       return $?
+}
+
+
+# find first available program from searchlist
+search_program()
+{
+       local searchlist="$1"
+       local test=''
+       local program=''
+
+       for test in ${searchlist} ; do
+               [ -x "${test}" ] && {
+                       program="${test}"
+                       break;
+               }
+       done
+
+       [ -n "${program}" ] && echo "${program}"
+
+       return
+}
+
+# prepare hex password
+etherwake_password()
+{
+       local delimiter=':'
+       local password=`echo "$1" | sed "s/../&${delimiter}/g"`
+       echo "${password%${delimiter}}"
+       return
+}
diff --git a/net/etherwake/patches/110-format_security_fix.patch b/net/etherwake/patches/110-format_security_fix.patch
new file mode 100644 (file)
index 0000000..e937fb3
--- /dev/null
@@ -0,0 +1,19 @@
+--- a/ether-wake.c
++++ b/ether-wake.c
+@@ -135,7 +135,7 @@ int main(int argc, char *argv[])
+               case 'D': debug++;                      break;
+               case 'i': ifname = optarg;      break;
+               case 'p': get_wol_pw(optarg); break;
+-              case 'u': printf(usage_msg); return 0;
++              case 'u': printf("%s\n", usage_msg); return 0;
+               case 'v': verbose++;            break;
+               case 'V': do_version++;         break;
+               case '?':
+@@ -144,7 +144,7 @@ int main(int argc, char *argv[])
+       if (verbose || do_version)
+               printf("%s\n", version_msg);
+       if (errflag) {
+-              fprintf(stderr, brief_usage_msg);
++              fprintf(stderr, "%s\n", brief_usage_msg);
+               return 3;
+       }
diff --git a/net/etherwake/patches/120-musl-compat.patch b/net/etherwake/patches/120-musl-compat.patch
new file mode 100644 (file)
index 0000000..a2cdfba
--- /dev/null
@@ -0,0 +1,17 @@
+--- a/ether-wake.c
++++ b/ether-wake.c
+@@ -82,14 +82,8 @@ static char usage_msg[] =
+ #include <linux/if.h>
+ #include <features.h>
+-#if __GLIBC__ >= 2 && __GLIBC_MINOR >= 1
+ #include <netpacket/packet.h>
+ #include <net/ethernet.h>
+-#else
+-#include <asm/types.h>
+-#include <linux/if_packet.h>
+-#include <linux/if_ether.h>
+-#endif
+ #include <netdb.h>
+ #include <netinet/ether.h>